Home » PLAYER'S HQ 1.13 » JA2 Complete Mods & Sequels » JA2 Legion 2 » Interesting mod, nice Big-maps. Awesome, (but how do I get IoV to work?)
Interesting mod, nice Big-maps. Awesome,[message #356123] Sat, 08 December 2018 07:18
HellsWind

 
Messages:44
Registered:October 2018
Location: Netherlands
Hello, I've got a question as stated in title (description).

I've downloaded Legion2 mod, installed it and it works well but... I want to play with added items from the 'Cosplay' mod.

The instructions are unclear though how to get it working. From what I've gathered the option to install IoV should be available in the wizard but the thing is I've downloaded '1.13(7609)_legion2_v38_eng' and just copied those files over my Ja2 installation where I can then choose to start the mod through 'Starter Legion 2.exe'. There is no 'installation wizard' for the process of installation though.

Starting the executable (Starter Legion2) problem arises that there is no option to select IoV, there's just option NewQuests and BigMaps separately or combined in the 'mod' selection.

I've found an installation of the IoV mod by the name '4_Ja2_1-13_Cosplay_Mod_IoV928p2.zip' on the nets (I could also find v.929) but I don't know how to install it to work with Legion 2. I think I've read here;
http://thepit.ja-galaxy-forum.com/index.php?t=msg&th=14663&goto=211935&#msg_211935
that: 'Legion 2 compatible (Included in L2 Installation Wizard)'.

Would someone please assist me in this?

Edit: I've figured out by copying IOV files (IoV_Revised_929v008) and replacing the files existent in the 1.13 data-folder (except for Ja2_Options.ini) that Bobby Rays gives me the IOV selection next day after 9pm. Then I stopped playing and haven't been back to this mod since (saving it for later).

I thought everything worked out well, but..

In the meanwhile I also noticed in another mod I play where I did the same copying over of files (1.13 build 8633) that there is no gun damage with IoV in 1.13, and after doing some (minor) research I realized that it's ammotypes.xml related to. I can't program (don't know how to) so I can't fix it, myself although I would if I could. I could only copy ammotypes.xml from the latest 1.13 and replace the replaced file in the 1.13 folder (restoring that file back to its original) but then the game crashes (damage works though, yay!) when accessing some inventory ammo clips and having some other issues pop up that remain unresolved.

>(on a non related note of copying of files, I've managed to create a working VFS "merged" file instead, combining 1.13, Wildfire [maps 6.07] mod and IoV but the gun damage still didn't transfer over into more recent versions (older versions work fine, I've seen, I think) of 1.13 regardless of editing Ja2.ini adding into it lines:

(name:)
vfs_config.JA2113 ; JA2 1.13 + IOV + WILDFIRE 6.07.INI
(lines:)
VFS_CONFIG_INI = vfs_config.JA2113 ; JA2 1.13 + IOV + WILDFIRE 6.07.INI

And making a new INI file based on a complete copy of the full VFS file of 1.13 just adding corresponding lines in (hence its long name tag), name:
'vfs_config.JA2113 ; JA2 1.13 + IOV + WILDFIRE 6.07.INI'

Then adding these lines in:

[vfs_config]
PROFILES = SlfLibs, Vanilla, v113, Wildfire6, IoV_Revised, UserProfile_JA2113IoVRevised (added tags to '[vfs_config]': 'Wildfire6', 'IoV_Revised', and changed User profile tag)

[and added:]

[PROFILE_Wildfire6]
NAME = Wildfire6.07
LOCATIONS = dataWildfire6_dir
PROFILE_ROOT =

[PROFILE_IoV_Revised]
NAME = IoV_Revised MOD
LOCATIONS = IoV_Revised_dir
PROFILE_ROOT =

[PROFILE_UserProfile_JA2113IoVRevised]
NAME = UserProfile_JA2113IoVRevised
LOCATIONS = uprof_root
PROFILE_ROOT = Profiles\UserProfile_JA2113IoVRevised
WRITE = true

Then, starting the INI Editor, selecting 'vfs_config.JA2113 ; JA2 1.13 + IOV + WILDFIRE 6.07.INI', starting the game works with 1.13 build 8633 but no damage (damage works on Older 1.13 builds))<.


Since I don't know how to fix this (yet I think, maybe) I can't but do with what there is available out there on the net and due to the nature of 1.13 SCI releases I've come to the conclusion that a lot of (old) mods aren't updated to fulfill the requirements the latest 1.13 has. If we could make IOV compatible with the most recent 1.13 updates that would be awesome. I understand that it's tediously lot work to do so, I see that it won't be done anytime soon. If I could help though..

Edit#2, I just realized that Legion 2 is, respectfully, an older mod so copying the files from IoV (minus Ja2_Options.ini) directly into its 1.13 data-directory works fine, if I recall correctly so the plea to fix IoV and make it compatible with 1.13 (newer builds) should/could go into an another thread.

Conclusion: Legion2 and IoV work. (I'll have to double check the file copy-overriding thing though, for now I don't have the time).

[Updated on: Tue, 18 December 2018 17:09]

Previous Topic: LEGION 2 (based on JA2 v1.13): polish & english version mod
Goto Forum:
  


Current Time: Mon Sep 16 03:28:57 EEST 2019

Total time taken to generate the page: 0.01662 seconds